/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *    https://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */

package page.aclObjectIdentity

import geb.module.Select
import geb.module.TextInput
import page.CreatePage

class AclObjectIdentityCreatePage extends CreatePage {

	static url = 'aclObjectIdentity/create'
	static typeName = { 'AclObjectIdentity' }
	static at = { waitFor { title == 'Create AclObjectIdentity' } }
	static content = {
		aclClass { $(name: 'aclClass.id').module(Select) }
		objectId { $(name: 'objectId').module(TextInput) }
		ownerId { $(name: 'owner.id').module(Select) }
	}
}
